import { Component, Event, h, Prop } from '@stencil/core';
export class SAbdullakhHeadMenu {
    render() {
        return (h("div", null,
            h("a", { id: "menu", class: "menu_icon", ref: (el) => this.navOpenTag = el, onClick: () => this.toggleMobileMenu() }, "\u2630"),
            h("div", { class: "navbar_block", id: "dNone", ref: (el) => this.navMenuTag = el },
                h("a", { href: "#", id: "menu", class: "menu_icon_x", onClick: () => this.toggleMobileMenu() }, "X"),
                h("div", { class: "navbar_left_block" },
                    h("s-abdullakh-head-nav-start", { headText: this.headText })),
                h("div", { class: "navbar_right_block" },
                    h("nav", null,
                        h("div", { class: "topnav_right", id: "Mytopnav" },
                            h(MenuItem, { arr: this.headNav }),
                            h("s-abdullakh-head-nav-end", { headText: this.headText })))))));
    }
    /*
    * функция для открытия и закрытия мобильного меню
     */
    toggleMobileMenu() {
        if (this.navMenuTag.id === "dNone") {
            this.navMenuTag.id = 'dFlex';
        }
        else {
            this.navMenuTag.id = 'dNone';
        }
    }
    static get is() { return "s-abdullakh-head-menu"; }
    static get originalStyleUrls() { return {
        "$": ["s-abdullakh-head-menu.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-abdullakh-head-menu.css"]
    }; }
    static get properties() { return {
        "headText": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u043C\u0430\u0441\u0441\u0438\u0432 \u043C\u0435\u043D\u044E"
            },
            "attribute": "head-text",
            "reflect": false
        },
        "headNav": {
            "type": "unknown",
            "mutable": false,
            "complexType": {
                "original": "any[]",
                "resolved": "any[]",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u043C\u0430\u0441\u0441\u0438\u0432 \u043C\u0435\u043D\u044E"
            }
        }
    }; }
    static get events() { return [{
            "method": "clickOnHeader",
            "name": "clickOnHeader",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u043C\u0430\u0441\u0441\u0438\u0432 \u043C\u0435\u043D\u044E"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
/*
* компонентная функция для вывода элементов меню
 */
const MenuItem = (props) => {
    return props.arr.map((item) => {
        return (h("div", { class: "topnav_right_links_block" },
            h("a", { class: "topnav_right_link", onClick: () => this.clickOnHeader.emit(item.nameLink) }, item.nameLink),
            item.complited ?
                h("div", { class: "pop_up_nav_block" },
                    h("s-abdullakh-head-menu-popup", { arr: item }))
                :
                    ''));
    });
};
